package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag291;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT291Creator;

/**
 * @author huangmengyuan
 * @create 2023/2/28
 */
public class Tag20Creator extends AbsTagCreate {
    private MT291Creator mt291Creator;
    public Tag20Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt291Creator = (MT291Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag20Value = mt291Creator.getTransactionReferenceNumbe();
        mt291Creator.set("20",tag20Value);
    }
}
